You are not logged in.

#1 2019-11-18 11:15:24

TheSaint
Member
From: my computer
Registered: 2007-08-19
Posts: 1,489

Pysolfc may fail after upgrading to python 3.8

Hello forum,

I like solitaire games, so I got pysolfc installed. The recent upgrade on April brought some inconsistency but I found the answer to modify a line , which I can't remember now.
Latest upgrade to python 3.8, also brought another story. The /usr/lib/python3.8/site-packages/pysollib/mfxutil.py has a faulty declaration to call the time.clock, which is deprecated from a long time.
Two line below I found that the declaration is not require since we use a posix OS.
So I resolved the case by change a bit

>> original
 146   uclock = time.clock
 147   usleeep = time.sleep
 148   if os.name == "posix":
 149        uclock = time.time

#>> modified to
 146   uclock = time.time
 147  usleep = time.sleep
 148  #if os.name ==  == "posix":
 149        #uclock = time.time

This pretty&dirty solution seems to put a solution and the pysolfc will start again.
I hope the developers will find the time to come to fix these flaws,  The game still  have many followers

BTW, I'm sorry I don't know how to use diff and create the patch.


do it good first, it will be faster than do it twice the saint wink

Offline

#2 2019-11-18 12:50:49

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 7,467

Re: Pysolfc may fail after upgrading to python 3.8

Someone already reported it, https://bugs.archlinux.org/task/64554 .
Maybe you can post your fix there ?

BTW, I'm sorry I don't know how to use diff and create the patch.

https://wiki.archlinux.org/index.php/Patching_packages has useful info


Multi-init booting with apg Openrc and systemd coexisting
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#3 2019-11-18 13:54:59

ronmon
Member
Registered: 2011-04-15
Posts: 37

Re: Pysolfc may fail after upgrading to python 3.8

Thanks for the quick and dirty fix. It was easy to do and works well. It is surprising that something that simple hasn't been done in the official package.

Pysol is a great little time waster that I've enjoyed for quite a while.

Offline

#4 2019-11-19 11:11:22

TheSaint
Member
From: my computer
Registered: 2007-08-19
Posts: 1,489

Re: Pysolfc may fail after upgrading to python 3.8

Lone_Wolf wrote:

Someone already reported it, https://bugs.archlinux.org/task/64554 .
Maybe you can post your fix there ?

I've no subscription to that, sorry. You might pass it there, if you're subscribed.

Rather another step to learn to make/fix a PKGBUILD.
I just thought I may be able. In fact there just 4 lines to diff or use sed.
Anyways I hope the researchers will stumble to this post and get it done in a dance time  smile


do it good first, it will be faster than do it twice the saint wink

Offline

#5 2019-11-19 20:46:55

Mky
Member
Registered: 2013-11-01
Posts: 2

Re: Pysolfc may fail after upgrading to python 3.8

Thanks for the fix. It works great!

Offline

#6 2019-11-19 23:22:10

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 7,333

Re: Pysolfc may fail after upgrading to python 3.8

You'd be a whole lot better off using the upstream patch.

https://github.com/shlomif/PySolFC/comm … d6a69836e9

Offline

Board footer

Powered by FluxBB